<?php
// database configuration
define("DB_USER", "MySqlUserName");
define("DB_PASS", "MySqlPassword");
define("DB_HOST", "localhost");
define("DB_PORT", "3306"); // Normally 3306
define("DB_NAME", "BoSignals");

// selecting the timezone
// get a list of supported timezones with this command: ./boPng.php -i0
// set one of these timezone to be used for the diagrams
// the data collection is still UTC based, just the displayed time is localized
define("TZ", "Europe/Berlin");

// note: define of an array starts working with PHP 7, for backward compatibility with PHP 5.6 use const
// definitions for the background image used in the function mapChannelStrokes() in boPng.php

// Australia, bounds: 76.9922, -49.3824, 178.5937, 33.1376, size: 800x725, map provided by Blitzortung participant vk2him
const MAP_AUSTRALIA = array(
    "image" => "boMapAustralia.png",        // station centric map of the world (partial)
    "width" => 800,                         // width of the map
    "height" => 725,                        // height of the map
    "longitudeLeft" => 76.9922,             // longitude left border East=positive, West=negative decimal degrees
    "latitudeBottom" => -49.3824,           // latitude bottom border North=positive, South=negative decimal degrees
    "longituedRight" => 178.5937,           // longitude right border East=positive, West=negative decimal degrees
    "latitudeTop" => 33.1376                // latitude bottom border North=positive, South=negative decimal degrees
);

// Europe, bounds: -62.0, 10.0, 78.0, 70.0, size: 1279x818, map generated with TileMill https://tilemill-project.github.io/tilemill/
const MAP_EUROPE = array(
    "image" => "boMapEurope.png",           // station centric map of the world (partial)
    "width" => 1279,                        // width of the map
    "height" => 818,                        // height of the map
    "longitudeLeft" => -62.0,               // longitude left border East=positive, West=negative decimal degrees
    "latitudeBottom" => 10.0,               // latitude bottom border North=positive, South=negative decimal degrees
    "longituedRight" => 78.0,               // longitude right border East=positive, West=negative decimal degrees
    "latitudeTop" => 70.0                   // latitude bottom border North=positive, South=negative decimal degrees
);

// World, bounds: -180.0, -85.0, 180.0, 85.0, size: 800x798, map generated with TileMill https://tilemill-project.github.io/tilemill/
const MAP_WORLD = array(
    "image" => "boMapWorld_small.png",      // map of the world (partial)
    "width" => 800,                         // width of the map
    "height" => 798,                        // height of the map
    "longitudeLeft" => -180.0,              // longitude left border East=positive, West=negative decimal degrees
    "latitudeBottom" => -85.0,              // latitude bottom border North=positive, South=negative decimal degrees
    "longituedRight" => 180.0,              // longitude right border East=positive, West=negative decimal degrees
    "latitudeTop" => 85.0                   // latitude bottom border North=positive, South=negative decimal degrees
);

// adapt this map to your needs
// World, bounds: -180.0, -85.0, 180.0, 85.0, size: 1279x1275, map generated with TileMill https://tilemill-project.github.io/tilemill/
const MAP_USER = array(
    "image" => "boMapWorld_large.png",      // station centric map of the world (partial)
    "width" => 1279,                        // width of the map
    "height" => 1275,                       // height of the map
    "longitudeLeft" => -180.0,              // longitude left border East=positive, West=negative decimal degrees
    "latitudeBottom" => -85.0,              // latitude bottom border North=positive, South=negative decimal degrees
    "longituedRight" => 180.0,              // longitude right border East=positive, West=negative decimal degrees
    "latitudeTop" => 85.0                   // latitude bottom border North=positive, South=negative decimal degrees
);

define("MAP", MAP_EUROPE); // Either select one of the predefined MAP_WORLD, MAP_AUSTRALIA, MAP_EUROPE or select MAP_USER and adapt the array MAP_USER to your needs.

// list of the channel numbers to be displayed
//const CHANNEL_NUMBER = array(3);          // the E field antenna is connected
//const CHANNEL_NUMBER = array(0, 1);       // two H field antennas are connected
//const CHANNEL_NUMBER = array(0, 1, 2);    // three H field antennas are connected
//const CHANNEL_NUMBER = array(0, 1, 3);    // two H filed annennas and the E field antenna are connected
const CHANNEL_NUMBER = array(0, 1, 2, 3);   // three H field antennas and the E field antenna are connected
?>